### Signal

# Gio SocketService::incoming

since: 2.22

#### Declaration

    gboolean
    incoming (
      GSocketService* self,
      GSocketConnection* connection,
      GObject* source_object,
      gpointer user_data
    )

#### Description

The ::incoming signal is emitted when a new incoming connection to `service` needs to be handled. The handler must initiate the handling of `connection`, but may not block; in essence, asynchronous operations must be used.

`connection` will be unreffed once the signal handler returns, so you need to ref it yourself if you are planning to use it.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.22

#### Parameters

`connection`

  Type: `GSocketConnection`

  A new `GSocketConnection` object.

  The data is owned by the caller of the function.

`source_object`

  Type: `GObject`

  The source_object passed to `g_socket_listener_add_address()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being called.